Foreman - Bug #21095

Puppet CA Certificate - ActionController::UrlGenerationError
09/25/2017 10:43 AM - Jeff Sparrow

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.12.4
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Creating a mcollective user for chorio.io. Need to sign a ssl for the user. Foreman does not like this cert, as | get the following error
whenever | navigate to proxy > puppet ca

Oops, we're sorry but something went wrong No route matches {:action=>"update", :controller=>"pupp
etca", :id=>#<SmartProxies::PuppetCACertificate:0x007££478840700 Q@name="mcollective.mcollective/OU
=mcollective", @state=nil, @fingerprint=nil, @valid_from=2017-09-17 14:59:44 UTC, (@expires_at=2022
-09-17 14:59:44 UTC, (@status_object=#<ProxyStatus: :PuppetCA:0x007£f4776c9%9e40 Qproxy=#<SmartProxy i
d: 2, name: "puppet", url: "https://puppet:8443", created_at: "2017-09-14 15:51:18", updated_at: "
2017-09-14 15:51:18", expired_logs: "0">, @cache_duration=180 seconds, @cache=true>>, :smart_proxy
_id=>"2-puppet"} missing required keys: [:1id]

ActionController::UrlGenerationError

No route matches {:action=>"update", :controller=>"puppetca", :id=>#<SmartProxies::PuppetCACertifi
cate:0x007££478840700 @name="mcollective.mcollective/OU=mcollective", @state=nil, @fingerprint=nil
, @valid_from=2017-09-17 14:59:44 UTC, (Qexpires_at=2022-09-17 14:59:44 UTC, (@status_object=#<Proxy
Status: :PuppetCA:0x007ff4776c9e40 @proxy=#<SmartProxy id: 2, name: "puppet", url: "https://puppet:
8443", created_at: "2017-09-14 15:51:18", updated_at: "2017-09-14 15:51:18", expired_logs: "0">, @
cache_duration=180 seconds, Qcache=true>>, :smart_proxy_id=>"2-puppet"} missing required keys: [:1
d]
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/journey/formatt
er.rb:46:in "“generate'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_dispatch/routing/route_s
et.rb:719:in “generate'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/routing/route_s
et.rb:750:in “generate'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/routing/route_s
et.rb:797:1in “url_for'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/routing/url_for
.rb:156:in “url_for'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/routing_url_for.rb:
94:in ‘url_for'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/turbolinks-2.5.3/1lib/turbolinks/xhr_url_for.rb:12:in
url_for_with_xhr_referer'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/helpers/url_helper.
rb:181:1in “link_to'

/usr/share/foreman/app/helpers/application_helper.rb:31:in “link_to'
/usr/share/foreman/app/helpers/application_helper.rb:147:in “display_link_if_ authorized'
/usr/share/foreman/app/helpers/application_helper.rb:138:in “display_delete_if_ authorized'
/usr/share/foreman/app/views/puppetca/_list.html.erb:29:in “block in _7819f99e377f640f09b8ab48c63f
7155

/usr/share/foreman/app/views/puppetca/_list.html.erb:16:in ‘each’
/usr/share/foreman/app/views/puppetca/_list.html.erb:16:in ~_7819f99e377f640£f090b8ab48c63£7155"
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1ib/action_view/template.rb:145:1in
"block in render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:166:in "~ instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/template.rb:333:1in
“instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1ib/action_view/template.rb:143:in
‘render'
/opt/theforeman/tfm/root/usr/share/gems/gems/deface-1.0.2/1lib/deface/action_view_extensions.rb:41:
in “render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1ib/action_view/renderer/partial_re
nderer.rb:339:in "render_partial'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/renderer/partial_re
nderer.rb:310:in “block in render'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1ib/action_view/renderer/abstract_r
enderer.rb:39:in "block in instrument'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:164:in "block in instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
/instrumenter.rb:20:in " instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:164:in " instrument'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1ib/action_view/renderer/abstract_r
enderer.rb:39:in " instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/renderer/partial_re
nderer.rb:309:in "render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—-4.2.5.1/1lib/action_view/renderer/renderer.r
b:51:in "render_partial'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview-4.2.5.1/1lib/action_view/renderer/renderer.r
b:25:in “render'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/1ib/action_view/rendering.rb:100:1in
‘_render_template'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_controller/metal/streami
ng.rb:217:in ' _render_template'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionview—4.2.5.1/1lib/action_view/rendering.rb:83:in
‘render_to_body'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/renderi
ng.rb:32:in “render_to_body'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_controller/metal/rendere
rs.rb:37:in ‘render_to_body'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/abstract_controller/rendering.r
b:25:in "render'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_controller/metal/renderi
ng.rb:16:in "render'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum
entation.rb:44:in “block (2 levels) in render'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1lib/active_support/core_ext/benc
hmark.rb:12:in “block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in “realtime'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/core_ext/benc
hmark.rb:12:in "ms'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum
entation.rb:44:in “block in render'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum
entation.rb:87:in "cleanup_view_runtime'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/railties/contro
ller_runtime.rb:25:in "“cleanup_view_runtime'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_controller/metal/instrum
entation.rb:43:in "~ render'
/usr/share/foreman/app/controllers/puppetca_controller.rb:5:in "~ index'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/implici
t_render.rb:4:in "~send_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/abstract_controller/base.rb:198
:in ‘process_action'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_controller/metal/renderi
ng.rb:10:in “process_action'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/abstract_controller/callbacks.r
b:20:in "block in process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—-4.2.5.1/1ib/active_support/callbacks.rb:
117:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:

05/18/2024 2/7




117:in “call’

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—-4.

555:in "block (2 levels) in compile’

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

505:in “call"'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

505:in “call"’

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

498:1in “block (2 levels) in around'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—4.

313:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4
313:in "block (2 levels) in halting'

.2.5.1/1ib/active_support/callbacks.

.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.

.1/1ib/active_support/callbacks.

rb:

rb:

rb:

rb:

rb:

rb:

/opt/theforeman/tfm/root/usr/share/gems/gems/rails—observers-0.1.2/1ib/rails/observers/action_cont

roller/caching/sweeping.rb:73:in "“around'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:

455:in “public_send'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—-4.

455:1in “block in make_lambda'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

312:in “call"'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

312:in "block in halting'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

497:in “call’

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

497:in “block in around'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

505:in “call"'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4.

505:in “call"’

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

498:1in “block (2 levels) in around'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—-4.

313:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4
313:in "block (2 levels) in halting'

.2.5.1/1ib/active_support/callbacks.

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in "set_timezone'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4
432:1in “block in make_lambda'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4
312:in “call'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

312:in “block in halting'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

497:in “call'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4.

497:in “block in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.

505:in “call’

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

505:in “call"’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

498:1in “block (2 levels) in around'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4.

313:in “call’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.

313:in "block (2 levels) in halting'

/usr/share/foreman/app/models/concerns/foreman/thread_session.

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4
432:1in “block in make_lambda'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4
312:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4
312:in "block in halting'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport—4
497:in “call'
.2.5.1/1ib/active_support/callbacks.

.2.5.1/1ib/active_support/callbacks.

rb:32:in
.2.5

“clear_thread'

0BoS

0B0oS

0B0oS
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.

.1/1lib/active_support/callbacks.

.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.

.1/1lib/active_support/callbacks.

.1/1lib/active_support/callbacks.
.1/1lib/active_support/callbacks.
.1/1ib/active_support/callbacks.

.1/1ib/active_support/callbacks.

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:

rb:




/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.

497:in “block in around'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

505:in “call"’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

505:in “call’

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.

498:in “block (2 levels) in around'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.

313:in “call’

.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:

.5.1/1ib/active_support/callbacks.rb:

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:

313:in “block (2 levels) in halting'

/opt/theforeman/tfm/root/usr/share/gems/gems/rails—observers-0.1.2/1ib/rails/observers/action_cont

roller/caching/sweeping.rb:73:in "“around'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:

455:in ‘public_send'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.

455:1in “block in make_lambda’'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

312:in “call’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

312:in “block in halting'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4.

497:in “call'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.

497:in “block in around'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.

505:in “call’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—4.

505:in “call"'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport—4.

92:in __run_callbacks_ '

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport—-4.

778:in ' _run_process_action_callbacks'

.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:
.5.1/1ib/active_support/callbacks.rb:

.5.1/1ib/active_support/callbacks.rb:

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:

81l:in “run_callbacks'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/abstract_controller/callbacks.r
b:19:in ‘process_action’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_controller/metal/rescue.
rb:29:in “process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum
entation.rb:32:in “block in process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1lib/active_support/notifications
.rb:164:in “block in instrument'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
/instrumenter.rb:20:in " instrument'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/notifications
.rb:164:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_controller/metal/instrum

“instrument'

entation.rb:30:in “process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.
wrapper.rb:250:in ‘process_action'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord—-4.
ller_runtime.rb:18:in “process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.
:in “process'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview—4.2.
"process'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.
in “dispatch'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.
legation.rb:13:in “dispatch’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack—-4.2.
in "block in action'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.
et.rb:74:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.
.1/lib/action_controller/metal/params_
.5.1/1ib/active_record/railties/contro
.1/1ib/abstract_controller/base.rb:137
.1/1lib/action_view/rendering.rb:30:1in

.1/1lib/action_controller/metal.rb:196:
.1/1lib/action_controller/metal/rack_de
.1/1ib/action_controller/metal.rb:237:
.1/1lib/action_dispatch/routing/route_s

.1/1lib/action_dispatch/routing/route_s
et.rb:74:in “dispatch’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/routing/route_s
et.rb:43:in " serve'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/journey/router.
rb:43:in "block in serve'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_dispatch/journey/router.
rb:30:in “each'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/journey/router.
rb:30:in "“serve'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/routing/route_s
et.rb:815:in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/static_dispatcher.rb:65
:in “call!
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/extractor/recorder.rb:1
32:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/stat
ic.rb:116:in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.6/1lib/apipie/middleware/checksum_in_
headers.rb:27:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/etag.rb:24:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1ib/rack/conditionalget.rb:25:in “call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/head.rb:13:in ‘call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/para
ms_parser.rb:27:in “call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/flas
h.rb:260:in “call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1ib/rack/session/abstract/id.rb:225:in "con
text'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/1ib/rack/session/abstract/id.rb:220:in ‘cal
ll
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/cook
ies.rb:560:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/1ib/active_record/query_cache.rb:
36:in “call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/1lib/active_record/connection_adap
ters/abstract/connection_pool.rb:653:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_dispatch/middleware/call
backs.rb:29:in “block in call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
88:in " _ run_callbacks_ '
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
778:1in "~ _run_call callbacks'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/callbacks.rb:
8l:in “run_callbacks'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack—-4.2.5.1/1lib/action_dispatch/middleware/call
backs.rb:27:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/remo
te_ip.rb:78:in ‘call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/debu
g_exceptions.rb:17:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/show
_exceptions.rb:30:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/rack/logger.rb:38:in ‘call_
app'

/opt/rh/sclo-rord42/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/rack/logger.rb:22:in “call'

\S)

/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1lib/action_dispatch/middleware/requ
est_id.rb:21:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/1ib/rack/methodoverride.rb:22:in “call"
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/runtime.rb:18:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/1ib/active_support/cache/strateg
y/local_cache_middleware.rb:28:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/1ib/action_dispatch/middleware/stat
ic.rb:116:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1lib/rack/sendfile.rb:113:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/engine.rb:518:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/application.rb:165:in “call
/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/railtie.rb:194:in “public_s
end'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/railties-4.2.5.1/1ib/rails/railtie.rb:194:in “method_m
issing'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/1ib/rack/urlmap.rb:66:in ‘block in call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/1ib/rack/urlmap.rb:50:in “each'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/rack-1.6.2/1ib/rack/urlmap.rb:50:in “call'
/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/rack/thread_handler_extension.rb:77:in
‘process_request'’
/usr/share/gems/gems/passenger—4.0.18/1ib/phusion_passenger/request_handler/thread_handler.rb:140:
in “accept_and_process_next_request'
/usr/share/gems/gems/passenger—-4.0.18/1ib/phusion_passenger/request_handler/thread_handler.rb:108:
in "main_loop'
/usr/share/gems/gems/passenger-4.0.18/1ib/phusion_passenger/request_handler.rb:441:in “block (3 le
vels) in start_threads'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:1
n ‘call'
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/1ib/logging/diagnostic_context.rb:323:1i
n ‘block in create_with_logging_context'

Related issues:
Is duplicate of Foreman - Bug #18240: foreman-proxy reports an error about th... Duplicate 01/25/2017

History

#1 - 09/25/2017 10:44 AM - Jeff Sparrow

This makes being able to do anything the certs impossible, as | cant find a work around.

#2 - 09/25/2017 11:00 AM - Ewoud Kohl van Wijngaarden

Is the smart proxy registered in foreman with the puppetca feature?

#3 - 09/25/2017 11:48 AM - Jeff Sparrow

Ewoud Kohl van Wijngaarden wrote:

Is the smart proxy registered in foreman with the puppetca feature?

Indeed it is. Every other thing | can think of works in Foreman. Just not the run puppet. Yet the same commands works from the CLI.

#4 - 09/25/2017 11:50 AM - Jeff Sparrow

Ignore the last 2 sentences. Different issue. got confused.

#5 - 09/25/2017 11:51 AM - Jeff Sparrow

im fairly sure this ticket relates. But there is no work-around.

http://projects.theforeman.org/issues/18240

#6 - 09/26/2017 04:49 AM - Ewoud Kohl van Wijngaarden
- Project changed from Packaging to Foreman

- Status changed from New to Duplicate

You're right, that is a duplicate. The only option is to upgrade or manually backport the patch.

#7 - 09/26/2017 04:49 AM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #18240: foreman-proxy reports an error about the mcollective certificate added

#8 - 09/26/2017 11:03 AM - Jeff Sparrow

Ewoud Kohl van Wijngaarden wrote:

You're right, that is a duplicate. The only option is to upgrade or manually backport the patch.

Do you mean with these changes?
http://projects.theforeman.org/issues/18240

http://projects.theforeman.org/projects/foreman/repository/revisions/73633f3db179f47a582b8ca2{31a9e430c10f4fb

Would you foresee any issues changing those, being | am on 1.12.4 until | can import/upgrade to my new infrastructure?

#9 - 10/17/2017 04:02 PM - Jeff Sparrow
@Ewoud Kohl - | am not having any luck making those changes and then having it work. Same error.
